@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
.material-symbols-outlined {
    font-variation-settings:
    'FILL' 0,
    'wght' 400,
    'GRAD' 0,
    'opsz' 48
}
*{
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
    background-color: rgb(29, 28, 28);
    color: #ece7e7;
}
.container{
    width: 85%;
    margin: auto auto;
}
.banner{
    display: flex;
    list-style-type: none;
    align-items: center;
    justify-content: space-around;
    padding: 20px 0 20px 0;
}
.logo{
    width: 150px;
    padding-right: 10px;
}
.banner h3{
    text-align: center;
    font-size: 45px;
}
.menu{
    display: flex;
    list-style-type: none;
    justify-content: center;
    gap: 8px;
    
}
.menu li{
    flex-grow: 1;
}
.menu li a{
    display: block;
    text-decoration: none;
    color: rgb(34,34,34);
    font-size: 20px;
    text-align: center;
    padding: 10px 0px 10px 0px;
    border-top: 3px solid white;
    opacity: 0.8;
    transition: all 0.5s;
    color: #ece7e7;
}
.menu li a:hover{
    opacity: 1;
}

/*Ana Sayfa*/

.banner2{
    background-image: url(img/banner.png);
    opacity: 0.8;
    background-size: cover;
    padding: 120px 0px 120px 0px;
    border-bottom: 3px solid #ece7e7;
}
.kutu{
    background-color: rgba(54, 53, 53, 0.6);
    width: 300px;
    padding: 15px 0px 15px 0px;
    text-align: center;
    color: beige;
    text-transform: uppercase;
    font-size: 25px;
    letter-spacing: 4px;
    position: relative;
    left: 100px;
}
.kartlar{
    background-color: rgb(34,34,34);
    padding: 25px 0px 25px 0px;
    margin: 20px 0px 20px 0px;
}
.baslik{
    text-align: center;
    font-size: 30px;
    letter-spacing: 8px;
    padding-bottom: 25px;
}
.kartlart-kart{
    display: flex;
    gap: 10px;
}
.kart{
    flex-grow: 1;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
}
.kart img{
    width: 200px;
}
.kart a{
    text-decoration: none;
    color: beige;
    text-align: center;
    width: 80%;
    padding: 10px 0px 10px 0px;
    transition: all 0.5s;
}
.cizgi{
    padding: 3px 10px 3px 10px;
    background-color: beige;
    width: 30px;
    margin: auto auto;
}
footer{
    background-color: rgb(29, 28, 28);
    color: beige;
    text-align: center;
    font-size: 15px;
    font-style: italic;
    padding: 0px 0px 10px 0px;
}

/*Ürünler Sayfası*/

.urunlerSayfasi{
    display: flex;
    gap: 10px;
}
.resimAlani{
    background-image: url(img/banner2.webp);
    width: 25%;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.7;
    background-position: center;
}
.urunler{
    width: 75%;
    display: flex;
    gap: 10px;
    flex-wrap: wrap; /*Kutular yan yana sığmazsa bi alt satıra geçer ve yine yan yana sıralar*/
    justify-content: space-between;
}
.urun-kart{
    width: 250px;
    border: 1px solid #cccccc;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}
.urun-kart a{
    display: block;
    text-decoration: none;
    background-color: rgba(8, 7, 7, 0.8);
    color: white;
    text-align: center;
    width: 100%;
    padding: 10px 0px 10px 0px;
    transition: all 0.5s;
}
.urun-kart a:hover{
    background-color: rgb(0, 0, 0);
}
.ustunuCiz{
    text-decoration: line-through;
}
.resim{
    border-bottom: 1px solid #cccccc;
    overflow: hidden;
}
.resim img{
    transition: all 0.5s;
    width: 100%;
}
.resim:hover img{
    scale: 1.5;
}

/*İletişim Sayfası*/

.iletisim-resim{
    background-image: url(img/banner3.jpg);
    opacity: 0.7;
    background-size: cover;
    padding: 170px 0px 170px 0px;   
}
.iletisim{
    display: flex;
    list-style-type:none;
    padding: 40px 0 45px 0;
}

    /*İletişim sol*/

.iletisim-sol{
    flex-grow: 1;
}
.iletisim-sol ul{
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: left;
}
.iletisim-sol ul li{
    flex-grow: 1;
}
.iletisim-sol ul li input{
    width: 85%;
    height: 40px;
    border: 1px solid #cccccc;
}

    /*İletişim orta*/

.iletisim-orta{
    flex-grow: 1;
}
.iletisim-orta ul{
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.iletisim-orta ul li{
    flex-grow: 1;
}
.iletisim-orta textarea{
    width: 99%;
    height: 95px;
    border: 1px solid #cccccc;
}
#gonder{
    width: 100%;
    height: 35px;
    border: 1px solid #cccccc;
    background-color: rgba(8, 7, 7, 0.8);
    color: white;
    font-size: 18px;
}

    /*İletişim sağ*/

.iletisim-sag{
    flex-grow: 1;
}
.iletisim-sag ul{
    padding-top: 20px;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 50px;
    align-items: center;
}
.iletisim-sag ul li a{
    text-decoration: none;
}
.iletisim-sag ul li{
    font-size: 18px;
}
.iletisim-sag img{
    width: 40px;
    transition: all 0.5s;
    padding: 0px 5px 0px 5px;
    opacity: 0.7;
}
.iletisim-sag img:hover{
    scale: 1.3;
    transform: rotate(360deg);
    opacity: 1;
}


/*Ekran Küçülünce Sığdırma kodu*/

@media screen and (max-width:700px){
    .container,.urunler{
        width: 100%;
        justify-content: center;
    }
    .gizle{
        display: none;
    }
    .menu,.kartlart-kart,.banner,.iletisim{
        flex-direction: column;
    }
    .banner2{
        padding: 50px 0px 50px 0px;
    }
    .kutu{
        left: 50px;
    }
    .baslik{
        letter-spacing: 3px;
    }
    .kart img,.urun-kart{
        width: 75%;
    }
    .iletisim-sol ul li input{
        width: 100%;
    }
    .iletisim-orta textarea{
        margin-top: 5px;
    }
    .iletisim{
        padding: 20px;
    }
}